from pathlib import Path
from reportlab.lib.units import mm

from . import formfill


def ruler_overlay(original_form):
    def ruler(c, item):
        c.setStrokeColorRGB(0, 0, 1)
        c.setFillColorRGB(0, 0, 1)
        c.setLineWidth(0.5)
        c.setFont("Helvetica", 8)
        x_grid = [x * mm for x in range(10, 210, 10)]
        y_grid = [y * mm for y in range(10, 297, 10)]
        c.grid(x_grid, y_grid)

        for x in range(10, 210, 10):
            c.drawString((x - 2) * mm, 5 * mm, str(x))
        for y in range(10, 297, 10):
            c.drawString(4 * mm, (y - 0.5) * mm, str(y))

    ofp = Path(original_form)
    out_path = ofp.parent / f"{ofp.stem}_ruler.pdf"

    formfill.fill(original_form, [1], ruler, output_file=out_path)
